Subject: bug#50506: 28.0.50; display-line-numbers equivalent for linum-format?

From: Michael Gallagher - NOAA Affiliate <[email-masked]>
Date: Fri, 10 Sep 2021 10:00:47 -0600

Eli,

Thanks for taking the time to respond. The separator character I use is
simply the 'pipe' character, "|". The purpose for me is to clearly
delineate the text/code from the line numbers in a way that makes it easier
to grok the text being displayed. My brain sees the numbers as part of the
code with the current formatting of display-line-numbers, but maybe I'm
uniquely incapable.

I completely understand feature creep, and the reason I've switched to
display-line-numbers *because* of performance. Using a combination of
outline-minor-mode (with folding) and linum-mode made emacs run at 100% cpu
while moving the cursor in the terminal. Not to mention other linum bugs.

Best.

On Fri, Sep 10, 2021 at 6:31 AM Eli Zaretskii <[email-masked]> wrote:

> > Date: Fri, 10 Sep 2021 01:40:45 -0600
> > From:  "Michael Gallagher (CIRES/NOAA)" via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> > linum mode has several performance issues but has the convenient ability
> > to format the line numbers in a way chosen by the user. It would be
> > wonderful to be able to add a "separator" character of choosing to
> > display-line-numbers-mode.
>
> Please tell more about this "separator character": what should it be
> and how will it be displayed?  And what is its purpose in the first
> place?
>
> I'd like to avoid adding a general format-style extension to the
> native line numbers, that's a kind of creeping featurism that will
> eventually slow down redisplay too much, something that the
> display-line-numbers implementation explicitly attempts to avoid.
> People who must have the full-fledged format capability could simply
> use linum-mode instead.
>
> > I would be happy to try to contribute code but I'm unsure of where
> > to start with such a task.
>
> The code is in xdisp.c, if that's what you meant to ask.
>
> Thanks.
>

-- 
Michael Gallagher, PhD
CIRES Research Scientist
Polar Observations and Processes Team (ESRL/NOAA/PSD)
325 Broadway, Boulder, Colorado 80305